require( "scripts/style.lua" );

MakeDialog
{
	SetStyle(DefaultStyle),
	HiddenGUI
	{
		name = "HiddenGUI",
		x = 0,
		y = 0,
		w = 800,
		h = 600,
		Bitmap
		{
			name = "printsPanel",
			image = "gui/prints",
			x = 150,
			y = 100,
			scale = 1.00,
			Bitmap
			{
				name = "print1",
				image = "gui/print1",
				x = 1,
				y = 20,
				scale = 1.00,
			},
			Bitmap
			{
				name = "print2",
				image = "gui/print2",
				x = 1,
				y = 71,
				scale = 1.00,
			},
			Bitmap
			{
				name = "print3",
				image = "gui/print3",
				x = 1,
				y = 124,
				scale = 1.00,
			},
			Bitmap
			{
				name = "print4",
				image = "gui/print4",
				x = 1,
				y = 176,
				scale = 1.00,
			},
			Bitmap
			{
				name = "print5",
				image = "gui/print5",
				x = 1,
				y = 227,
				scale = 1.00,
			},
		},
		Bitmap
		{
			name = "guiBg",
			image = "gui/gui",
			x = 0,
			y = 0,
			scale = 1.00,
		},
		Bitmap
		{
			name = "notime",
			image = "gui/notime",
			x = 0,
			y = 0,
			scale = 1.00,
		},

		SetStyle(ButtonStyle),
		Button
		{
			x=15,
			y=542,
			name="pause",
			label="pause",
			cancel=true,
			command=
			function()
				DoModal("scripts/pause.lua");
			end
		},
		SetStyle(ButtonStyle),
		Button
		{
			x=15,
			y=481,
			name="journal",
			label="journal",
			cancel=true,
			command=
			function()
				DoModal( GetJournalPage() );
			end
		},
		SetStyle(HintStyle),
		Button
		{
			name = "hints",
			x = 44,
			y = 386,
			command =
			function()
				ShowHint();
			end
		},
		Hints
		{
			name = "Hints",
			x = 100,
			y = 433,
			w = 128,
			h = 60,
			SetStyle(DefaultStyle),
			Text
			{
				name = "numHints",
				label = "numhints",
				x = 0,
				y = 16,
				w = 80,
				h = 22,
				font = TimerFont,
				flags = kHAlignLeft+kVAlignCenter,
			},
		},
		Bitmap
		{
			align=kHAlignLeft + kVAlignTop,
			name = "book",
			image = "gui/book",
			x = -1,
			y = 508,
			scale = 1.00,
		},

	},
}
